/**
 * 
 */
package org.richfaces.model.impl.expressive;

import org.apache.shale.test.base.AbstractJsfTestCase;
import org.apache.shale.test.el.MockMethodExpression;

/**
 * @author Konstantin Mishin
 *
 */
public class MethodBindingExpressionTest extends AbstractJsfTestCase {

	/**
	 * @param name
	 */
	public MethodBindingExpressionTest(String name) {
		super(name);
	}

	/**
	 * Test method for {@link org.richfaces.model.impl.expressive.MethodBindingExpression#MethodBindingExpression(javax.faces.context.FacesContext, javax.el.MethodExpression)}
	 * and {@link org.richfaces.model.impl.expressive.MethodBindingExpression#evaluate(java.lang.Object)}.
	 */
	public final void testMethodBindingExpression() {
		String expression = "expression";
		MethodBindingExpression methodBindingExpression =
			new MethodBindingExpression(facesContext,
					new MockMethodExpression(expression, null, String.class));
		
		assertEquals(methodBindingExpression.evaluate(null), expression);
	}

}
